# Class MarketPriceReply

#### Hierarchy

- unknown
  - MarketPriceReply

- Defined in src/protobuf/grpc_pb.d.ts:2160
- Defined in src/protobuf/grpc_pb.d.ts:2172

#####
Index

### Constructors

constructor

### Methods

getPrice
serializeBinary
setPrice
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new MarketPriceReply(): MarketPriceReply

- #### Returns MarketPriceReply

  Inherited from jspb.Message.constructor

## Methods

### getPrice

- getPrice(): number

- #### Returns number

  - Defined in src/protobuf/grpc_pb.d.ts:2161

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:2164

### setPrice

- setPrice(value: number): MarketPriceReply

- #### Parameters

  - ##### value: number

  #### Returns MarketPriceReply

  - Defined in src/protobuf/grpc_pb.d.ts:2162

### toObject

- toObject(includeInstance?: boolean): MarketPriceReply.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns MarketPriceReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2165

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): MarketPriceReply

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns MarketPriceReply

  - Defined in src/protobuf/grpc_pb.d.ts:2168

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: MarketPriceReply, reader: BinaryReader): MarketPriceReply

- #### Parameters

  - ##### message: MarketPriceReply

  - ##### reader: BinaryReader

  #### Returns MarketPriceReply

  - Defined in src/protobuf/grpc_pb.d.ts:2169

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: MarketPriceReply, writer: BinaryWriter): void

- #### Parameters

  - ##### message: MarketPriceReply

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:2167

### `Static` toObject

- toObject(includeInstance: boolean, msg: MarketPriceReply): MarketPriceReply.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: MarketPriceReply

  #### Returns MarketPriceReply.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:2166

Generated using TypeDoc